/*
 * Generated by XDoclet - Do not edit!
 */
package org.bsf.listOfValues;

/**
 * Local interface for LOVService.
 * @see LovBean
 * @see LovValue
 * @see LovBusinessInterface
 */
public interface LOVServiceLocal
   extends javax.ejb.EJBLocalObject
{
   /**
    * Provides access to the metadata for a given list of values.
    * @param p_lovOID The OID of the list of values for which we want the metadata.
    * @return A list of LovMetaDataItems for the LOV corresponding to the given lovOID.
    * @throws IllegalArgumentException if the given oid is null.
    * @throws FinderException if a lov with the given oid isn't found.
    * @see LovBean
    * @see LovValue
    * @see LovMetaDataItem
    */
   public java.util.List getLOVMetaData( java.lang.Long p_lovOID ) throws javax.ejb.FinderException;

   /**
    * Returns the LovValue having the oid p_lovValueOID in the LOV whose oid is p_lovOID. If the LOV doesn't exist a NoSuchLovException is thrown whereas a NoSuchLovValueException is thrown if, while existing, the LOV does not contain the desired LovValue.
    * @param p_lovOID The oid of the LOV that we want to parse.
    * @param p_lovValueOID The oid that we want to find in the selected LOV.
    * @return The LovValue having the oid p_lovValueOID in the LOV whose oid is p_lovOID.
    * @throws NoSuchLovException if no LOV is found for the given p_lovOID.
    * @throws NoSuchLovValueException if no LovValue is found having the p_lovValueOID in the selected LOV.
    * @throws IllegalArgumentException if the given p_lovOID or p_lovValueOID is (are) null.
    * @see LovValue
    */
   public org.bsf.listOfValues.lovValue.LovValue getLovValue( java.lang.Long p_lovOID,java.lang.Long p_lovValueOID ) throws org.bsf.listOfValues.exceptions.NoSuchLovException, org.bsf.listOfValues.exceptions.NoSuchLovValueException;

   /**
    * Returns, in the order of the executed SQL, the list of LovValues corresponding to the given p_lovOID.
    * @param p_lovOID The oid of the LOV that we want to retrieve.
    * @return A list of LovValues corresponding to the execution of the given lovOID. The LovValues are returned as they are retrieve from the execution of the SQL statement (cf. ORDER BY clause).
    * @throws IllegalArgumentException if the given lovOID is null.
    * @throws NoSuchLovException if no LOV is having the given oid.
    * @see LovBean
    * @see LovValue
    */
   public java.util.List getListOfValues( java.lang.Long p_lovOID ) throws org.bsf.listOfValues.exceptions.NoSuchLovException;

   /**
    * Returns a map (LovValueOID, LovValue) of LovValues corresponding to the given p_lovOID.
    * @param p_lovOID The oid of the LOV that we want to retrieve.
    * @return A list of LovValues corresponding to the execution of the given p_lovOID. The LovValues are returned as they are retrieve from the execution of the SQL statement (cf. ORDER BY clause).
    * @throws IllegalArgumentException if the given p_lovOID is null.
    * @throws NoSuchLovException if no LOV is having the given oid.
    * @see LovBean
    * @see LovValue
    */
   public java.util.Map getLovValues( java.lang.Long p_lovOID ) throws org.bsf.listOfValues.exceptions.NoSuchLovException;

   /**
    * Ensures that the LOVs using the same TABLE_NAME as the LOV identified by the given OID are reloaded (in general due to a data update). It includes, of course, the lov identified by the given lovOID.
    * @param p_lovOID The oid of the LOV whose TABLE_NAME will be used to refresh the LOVs.
    * @throws IllegalArgumentException if the given p_lovOID is null.
    * @throws NoSuchLovException if there is no LOV having the given lovOID.
    * @see LovBean
    * @see #resynchronizeListOfValues(String p_tableName)
    */
   public void resynchronizeListOfValues( java.lang.Long p_lovOID ) throws org.bsf.listOfValues.exceptions.NoSuchLovException;

   /**
    * Ensures that the LOVs referencing the TABLE_NAME are reseted. Usually because the underlying data have changed.
    * @param p_tableName The oid of the LOV whose TABLE_NAME will be used to refresh the LOVs. Does nothing if the name is invalid (null, no match).
    * @see LovBean
    * @see #resynchronizeListOfValues(Long p_lovOID)
    */
   public void resynchronizeListOfValues( java.lang.String p_tableName ) ;

}
