-- *****************************************************************************
-- Those LOVs are two of the three LOVs needed for the LOV Demo. They are given
-- here as example of LOVs creation. Those LOVs are used in the TestLovService.
-- Having the OIDs 1 and 2, they might be in conflict with your own LOVs. If so,
-- feel free to change their OIDs (and change the test accordingly if needed).
-- *****************************************************************************

-- ****************************************************************
-- Table for the LOV Demo (provided as an example)
-- The tables for the LOV module are supposed to be already created
-- ****************************************************************

-- We drop the olds test tables (uncomment if you want to do that)
DROP TABLE IF EXISTS BSF_TEST_LOV_COUNTRY, BSF_TEST_LOV_REGION;

-- And we create them
CREATE TABLE BSF_TEST_LOV_COUNTRY (
  OID         INT   NOT NULL,
  SHORT_NAME  VARCHAR(255) NOT NULL,
  LONG_NAME   VARCHAR(255) NOT NULL,
  REGION_OID  INT NOT NULL,
  PRIMARY KEY ( OID ));

INSERT INTO BSF_TEST_LOV_COUNTRY VALUES (1, 'AL', 'Algeria', 1);
INSERT INTO BSF_TEST_LOV_COUNTRY VALUES (2, 'BA', 'Bali', 2);
INSERT INTO BSF_TEST_LOV_COUNTRY VALUES (3, 'BE', 'Belgium', 3);
INSERT INTO BSF_TEST_LOV_COUNTRY VALUES (4, 'BR', 'Brasil', 5);
INSERT INTO BSF_TEST_LOV_COUNTRY VALUES (5, 'CA', 'Canada', 4);
INSERT INTO BSF_TEST_LOV_COUNTRY VALUES (6, 'CH', 'China', 2);
INSERT INTO BSF_TEST_LOV_COUNTRY VALUES (7, 'FR', 'France', 3);
INSERT INTO BSF_TEST_LOV_COUNTRY VALUES (8, 'HO', 'Holland', 3);
INSERT INTO BSF_TEST_LOV_COUNTRY VALUES (9, 'JP', 'Japan', 2);
INSERT INTO BSF_TEST_LOV_COUNTRY VALUES (10, 'MO', 'Morroco', 1);
INSERT INTO BSF_TEST_LOV_COUNTRY VALUES (11, 'RU', 'Russia', 3);
INSERT INTO BSF_TEST_LOV_COUNTRY VALUES (12, 'SP', 'Spain', 3);
INSERT INTO BSF_TEST_LOV_COUNTRY VALUES (13, 'UK', 'United Kingdom', 3);
INSERT INTO BSF_TEST_LOV_COUNTRY VALUES (14, 'US', 'United States of America', 4);

CREATE TABLE BSF_TEST_LOV_REGION (
  OID  INT   NOT NULL,
  NAME VARCHAR(255) NOT NULL,
  PRIMARY KEY ( OID ));

INSERT INTO BSF_TEST_LOV_REGION VALUES (1, 'Africa');
INSERT INTO BSF_TEST_LOV_REGION VALUES (2, 'Asia');
INSERT INTO BSF_TEST_LOV_REGION VALUES (3, 'Europe');
INSERT INTO BSF_TEST_LOV_REGION VALUES (4, 'North America');
INSERT INTO BSF_TEST_LOV_REGION VALUES (5, 'South America');

-- INSERTING THE LOVs and LOVs Definition FOR THE COUNTRY LOV

INSERT INTO BSF_LOV VALUES (1, 'TEST_LOV_COUNTRY', 'SELECT OID, SHORT_NAME, LONG_NAME FROM BSF_TEST_LOV_COUNTRY ORDER BY OID', 'BSF_TEST_LOV_COUNTRY');

INSERT INTO BSF_LOV_DEFINITION VALUES (1, 'PK', 'java.lang.Long', 1);
INSERT INTO BSF_LOV_DEFINITION VALUES (1, 'SHORT_NAME', 'java.lang.String', 2);
INSERT INTO BSF_LOV_DEFINITION VALUES (1, 'LONG_NAME', 'java.lang.String', 3);

-- INSERTING THE LOVs and LOVs Definition FOR THE AMERICAN_COUNTRY_WITH_REGION_NAME

INSERT INTO BSF_LOV VALUES (2, 'TEST_LOV_AMERICAN_COUNTRY_WITH_REGION_NAME', 'SELECT BSF_TEST_LOV_COUNTRY.OID, SHORT_NAME, LONG_NAME, BSF_TEST_LOV_REGION.NAME FROM BSF_TEST_LOV_COUNTRY, BSF_TEST_LOV_REGION WHERE REGION_OID = BSF_TEST_LOV_REGION.OID AND BSF_TEST_LOV_REGION.NAME like ''%America%'' ORDER BY BSF_TEST_LOV_COUNTRY.OID', 'BSF_TEST_LOV_COUNTRY');

INSERT INTO BSF_LOV_DEFINITION VALUES (2, 'PK', 'java.lang.Long', 1);
INSERT INTO BSF_LOV_DEFINITION VALUES (2, 'SHORT_NAME', 'java.lang.String', 2);
INSERT INTO BSF_LOV_DEFINITION VALUES (2, 'LONG_NAME', 'java.lang.String', 3);
INSERT INTO BSF_LOV_DEFINITION VALUES (2, 'REGION_NAME', 'java.lang.String', 4);

INSERT INTO BSF_LOV VALUES (3, 'TEST_LOV_WITH_STRING_PK', 'SELECT SHORT_NAME, LONG_NAME FROM BSF_TEST_LOV_COUNTRY ORDER BY SHORT_NAME', 'BSF_TEST_LOV_COUNTRY');

INSERT INTO BSF_LOV_DEFINITION VALUES (3, 'PK', 'java.lang.String', 1);
INSERT INTO BSF_LOV_DEFINITION VALUES (3, 'LONG_NAME', 'java.lang.String', 2);

COMMIT;
