-- ***************************************
-- Table needed for the LOV Module to work
-- ***************************************

-- Uncomment/comment bellow if you want to remove/keep the "old" tables
-- DROP TABLE BSF_LOV CASCADE CONSTRAINTS;

--DROP TABLE BSF_LOV_DEFINITION CASCADE CONSTRAINTS;

CREATE TABLE BSF_LOV ( 
  OID         NUMBER(10)   NOT NULL,   -- The OID of the LOV defined here (1-999 are reserved for the FWK usage when needed)
  LOV_NAME    VARCHAR2(80) NOT NULL,   -- The NAME of the LOV defined here (its purpose in one or two word...)
  LOV_REQUEST VARCHAR2(2048) NOT NULL, -- The SQL statement to be executed to retrieve this List of Value
  TABLE_NAME  VARCHAR2(80)   NOT NULL, -- The name of the table on which this LOV is based (or the main table on which...)
  PRIMARY KEY ( OID ));
  
CREATE TABLE BSF_LOV_DEFINITION ( 
  LOV_OID        NUMBER(10)    NOT NULL,  -- The OID of the LOV described
  FIELD_NAME     VARCHAR2(80)  NOT NULL,  -- The name of the field (used in aLovValue.getField(xxx)
  FIELD_TYPE     VARCHAR2(256) NOT NULL,  -- The type as a String (ex: java.lang.Long or java.lang.String...)
  FIELD_POSITION NUMBER(2)     NOT NULL,  -- Starting at 1 (first field will be used as the LovValue PK)
  PRIMARY KEY ( LOV_OID, FIELD_NAME ));

COMMIT;
