package org.bsf.listOfValues.client;

/**
 * An interface to determine how an Object can be notified
 * of a LOV change (for example when a user is added).
 *
 * @see LovManager (default implementation)
 */
public interface LovListener {
    /**
     * Called when a LOV has changed.
     *
     * @param p_lovOID The OID of the Lov that has changed.
     */
    public void lovHasChanged( Long p_lovOID );
}
